Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.streaming
Class Stream

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.streaming.Stream

All Implemented Interfaces:
  quicktime.jdirect.QTStreamingLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class Stream
extends QTObject
implements quicktime.jdirect.QTStreamingLib

The Stream class represents a broadcast stream used by a Presentation object

Fields inherited from interface quicktime.jdirect.QTStreamingLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`Stream(Presentation pres, int dataType, QTPointerRef data)` Create a new stream object
`Stream(Presentation pres, int dataType, QTPointerRef data, int flags)` Create a new stream object

Method Summary
`Presentation` | `getPresentation()` Retrieves the presentation object this stream is associated with

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Stream

    public Stream(Presentation pres,
                  int dataType,
                  QTPointerRef data)
           throws QTException

  Create a new stream object
Parameters:
  `pres` - supervising Presentation object
  `dataType` - OSType specifying type of stream data
  `data` - data

### Stream

    public Stream(Presentation pres,
                  int dataType,
                  QTPointerRef data,
                  int flags)
           throws QTException

  Create a new stream object
Parameters:
  `pres` - supervising Presentation object
  `dataType` - OSType specifying type of stream data
  `data` - data
  `flags` - stream flags

Method Detail

### getPresentation

    public Presentation getPresentation()
                                 throws QTException

  Retrieves the presentation object this stream is associated with
  Returns:
    Presentation the presentation object

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD